Featured Extensions should not display add-on incompatible with an official release

RESOLVED WONTFIX

Status

--
major
RESOLVED WONTFIX
7 years ago
3 years ago

People

(Reporter: el.cameleon.1, Assigned: rebron)

Tracking

Details

(Reporter)

Description

7 years ago
1/ Go to https://addons.mozilla.org/en-US/thunderbird/
2/ See that Contacts Sidebar is a "featured extension"
3/ Try to install it into Thunderbird
=> it fails because it is only compatible with TB3.0
=> you are frustating

AMO should only display add-on which are compatible with current release of Firefox/Thunderbird, in order to avoid frustation.
Assignee: nobody → rebron

Comment 1

7 years ago
I think all the predefined searches as 'newest addons', 'best rated addons', 'most popular addons', 'featured addons' etc. should offer the option(!) to filter for certain versions and operating systems, just as the usual search result pages do.

Compare the offered filtering possibilities here:
[*] https://addons.mozilla.org/firefox/extensions/?sort=rating
[*] https://addons.mozilla.org/firefox/search/?sort=rating&platform=windows&appver=10.0.1&cat=1%2C0
Thanks for filing this.  Due to resource constraints we are closing bugs which we won't realistically be able to fix.  If you have a patch that applies to this bug please reopen.

For more info see http://micropipes.com/blog/2014/09/24/the-great-add-on-bug-triage/
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → WONTFIX
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.